﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace HeuristicLab.DataImporter.Command.View {
  public partial class AggregationCommandView : HeuristicLab.DataImporter.Data.CommandBase.CommandViewBase {
    private AggregationCommandView()
      : base() {
      InitializeComponent();
    }

    public AggregationCommandView(AggregateCommandBase command)
      : this() {
      this.Command = command;
    }

    public new AggregateCommandBase Command {
      get { return (AggregateCommandBase)base.Command; }
      protected set { base.Command = value; this.UpdateCommand(); }
    }

    public bool ChangeNullValueOnly {
      get { return this.Command.ChangeNullValueOnly; }
    }

    private void chbChangeNullValues_CheckedChanged(object sender, System.EventArgs e) {
      this.UpdateCommand();
    }

    private void UpdateCommand() {
      if (this.Command != null)
        this.Command.ChangeNullValueOnly = this.chbChangeNullValues.Checked;
    }
  }
}
