﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace HeuristicLab.DataImporter.Command.View {
  public partial class BoxCoxTransformationCommandView : HeuristicLab.DataImporter.Data.CommandBase.CommandViewBase {
    private BoxCoxTransformationCommandView() {
      InitializeComponent();
    }

    public BoxCoxTransformationCommandView(BoxCoxTransformationCommand command)
      : this() {
      this.Command = command;
    }

    public new BoxCoxTransformationCommand Command {
      get { return (BoxCoxTransformationCommand)base.Command; }
      set { base.Command = value; this.UpdateCommand(); }
    }

    public double Lambda {
      get { return this.Command.Lambda; }
    }
    public double C {
      get { return this.Command.C; }
    }

    private void textBox_Validating(object sender, CancelEventArgs e) {
      TextBox textBox = (TextBox)sender;
      double value;
      if (!double.TryParse(textBox.Text, out value)) {
        e.Cancel = true;
        MessageBox.Show("A numeric value must be entered!");
      } else
        this.UpdateCommand();
    }

    private void UpdateCommand() {
      if (this.Command != null) {
        double value;
        if (double.TryParse(this.txtLambda.Text, out value))
          this.Command.Lambda = value;
        if (double.TryParse(this.txtC.Text, out value)) {
          this.Command.C = value;
        }
      }
    }
  }
}
