﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace HeuristicLab.DataImporter.Command.View {
  public partial class FilterCommandView : HeuristicLab.DataImporter.Data.CommandBase.CommandViewBase {
    private FilterCommandView() {
      InitializeComponent();
    }

    public FilterCommandView(FilterCommandBase command)
      : this() {
      this.Command = command;
    }

    public new FilterCommandBase Command {
      get { return (FilterCommandBase)base.Command; }
      protected set { base.Command = value; this.UpdateCommand(); }
    }

    public int WindowSize {
      get { return this.Command.WindowSize; }
    }

    private void numWindowSize_ValueChanged(object sender, System.EventArgs e) {
      this.UpdateCommand();
    }

    private void UpdateCommand() {
      if (Command != null)
        this.Command.WindowSize = (int)this.numWindowSize.Value;
    }
  }
}
