﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace HeuristicLab.DataImporter.Command.View {
  public partial class FilterSavitzkyGolayCommandView : HeuristicLab.DataImporter.Data.CommandBase.CommandViewBase {
    private FilterSavitzkyGolayCommandView() {
      InitializeComponent();
    }

    public FilterSavitzkyGolayCommandView(FilterSavitzkyGolayCommand command)
      : this() {
      this.Command = command;
    }

    public new FilterSavitzkyGolayCommand Command {
      get { return (FilterSavitzkyGolayCommand)base.Command; }
      protected set { base.Command = value; this.UpdateCommand(); }
    }

    public int WindowLeft {
      get { return this.Command.WindowLeft; }
    }
    public int WindowRight {
      get { return this.Command.WindowRight; }
    }
    public int Order {
      get { return this.Command.Order; }
    }

    private void numWindowLeft_ValueChanged(object sender, System.EventArgs e) {
      this.UpdateCommand();
    }

    private void numWindowRight_ValueChanged(object sender, System.EventArgs e) {
      this.UpdateCommand();
    }

    private void UpdateCommand() {
      if (Command != null) {
        this.Command.WindowLeft = (int)this.numWindowLeft.Value;
        this.Command.WindowRight = (int)this.numWindowRight.Value;
        this.Command.Order = (int)this.numOrder.Value;
      }
    }

    private void numOrder_ValueChanged(object sender, EventArgs e) {
      this.UpdateCommand();
    }
  }
}
