﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace HeuristicLab.DataImporter.Command.View {
  public partial class LinearTransformationCommandView : HeuristicLab.DataImporter.Data.CommandBase.CommandViewBase {
    private LinearTransformationCommandView() {
      InitializeComponent();
    }

    public LinearTransformationCommandView(LinearTransformationCommand command)
      : this() {
      this.Command = command;
    }

    public new LinearTransformationCommand Command {
      get { return (LinearTransformationCommand)base.Command; }
      set { base.Command = value; this.UpdateCommand(); }
    }

    public double Slope {
      get { return this.Command.Offset; }
    }

    public double Offset {
      get { return this.Command.Slope; }
    }

    private void textBox_Validating(object sender, CancelEventArgs e) {
      TextBox textBox = (TextBox)sender;
      double value;
      if (!double.TryParse(textBox.Text, out value)) {
        e.Cancel = true;
        MessageBox.Show("A numeric value must be entered!");
      } else
        this.UpdateCommand();
    }

    private void UpdateCommand() {
      if (this.Command != null) {
        double value;
        if (double.TryParse(this.txtOffset.Text, out value))
          this.Command.Offset = value;
        if (double.TryParse(this.txtSlope.Text, out value))
          this.Command.Slope = value;
      }
    }
  }
}
