﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace HeuristicLab.DataImporter.Command.View {
  public partial class MinMaxCommandView : HeuristicLab.DataImporter.Data.CommandBase.CommandViewBase {
    private MinMaxCommandView() {
      InitializeComponent();
    }

    public MinMaxCommandView(ScalingBetweenMinAndMaxCommand command)
      : this() {
      this.Command = command;
    }

    public new ScalingBetweenMinAndMaxCommand Command {
      get { return (ScalingBetweenMinAndMaxCommand)base.Command; }
      set { base.Command = value; this.UpdateCommand(); }
    }

    public double MinValue {
      get { return Command.MinValue; }
    }

    public double MaxValue {
      get { return Command.MaxValue; }
    }

    private void textBox_Validating(object sender, CancelEventArgs e) {
      TextBox textBox = (TextBox)sender;
      double value;
      if (!double.TryParse(textBox.Text, out value)) {
        e.Cancel = true;
        MessageBox.Show("A numeric value must be entered!");
      } else
        this.UpdateCommand();
    }

    private void UpdateCommand() {
      if (this.Command != null) {
        double value;
        if (double.TryParse(this.txtMin.Text, out value))
          this.Command.MinValue = value;
        if (double.TryParse(this.txtMax.Text, out value))
          this.Command.MaxValue = value;
      }
    }
  }
}
