﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace HeuristicLab.DataImporter.Command.View {
  public partial class NormalDistributionCommandView : HeuristicLab.DataImporter.Data.CommandBase.CommandViewBase {
    private NormalDistributionCommandView() {
      InitializeComponent();
    }

    public NormalDistributionCommandView(NormalDistributionScalingCommand command)
      : this() {
      this.Command = command;
    }

    public new NormalDistributionScalingCommand Command {
      get { return (NormalDistributionScalingCommand)base.Command; }
      set { base.Command = value; this.UpdateCommand(); }
    }

    public double Mean {
      get { return Command.Mean; }
    }

    public double StandardDeviation {
      get { return Command.StandardDeviation; }
    }

    private void textBox_Validating(object sender, CancelEventArgs e) {
      TextBox textBox = (TextBox)sender;
      double value;
      if (!double.TryParse(textBox.Text, out value)) {
        e.Cancel = true;
        MessageBox.Show("A numeric value must be entered!");
      } else
        this.UpdateCommand();
    }

    private void UpdateCommand() {
      if (this.Command != null) {
        double value;
        if (double.TryParse(this.txtMean.Text, out value))
          this.Command.Mean = value;
        if (double.TryParse(this.txtStandardDeviation.Text, out value))
          this.Command.StandardDeviation = value;
      }
    }
  }
}
