﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace HeuristicLab.DataImporter.Command.View {
  public partial class ProgrammableColumnCommandView : HeuristicLab.DataImporter.Data.CommandBase.CommandViewBase {
    private ProgrammableColumnCommandView() {
      InitializeComponent();
      this.expressionTextBox.Text = "A";
    }

    public ProgrammableColumnCommandView(AddNewProgrammableColumnCommand command)
      : this() {
      this.Command = command;
    }

    public new AddNewProgrammableColumnCommand Command {
      get { return (AddNewProgrammableColumnCommand)base.Command; }
      set { base.Command = value; this.UpdateCommand(); }
    }

    public string Expression {
      get { return expressionTextBox.Text; }
    }

    private void UpdateCommand() {
      if (Command != null)
        Command.Expression = this.expressionTextBox.Text;
    }

    private void expressionTextBox_TextChanged(object sender, EventArgs e) {
      this.UpdateCommand();
    }
  }
}
