﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace HeuristicLab.DataImporter.Command.View {
  public partial class SearchAndReplaceCommandView : SearchWithMatchOperationCommandView {
    public SearchAndReplaceCommandView()
      : base() {
      InitializeComponent();
      this.txtReplaceValue.Text = "0";
    }

    public SearchAndReplaceCommandView(SearchAndReplaceCommand command)
      : this() {
      this.Command = command;
    }

    public new SearchAndReplaceCommand Command {
      get { return (SearchAndReplaceCommand)base.Command; }
      set { base.Command = value; this.UpdateCommand(); }
    }

    public string ReplaceValue {
      get { return this.Command.ReplaceValue; }
    }

    private void txtReplaceValue_TextChanged(object sender, System.EventArgs e) {
      this.UpdateCommand();
    }

    private void UpdateCommand() {
      if (this.Command != null)
        this.Command.ReplaceValue = this.txtReplaceValue.Text;
    }
  }
}
