﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace HeuristicLab.DataImporter.Command.View {
  public partial class SearchCommandView : HeuristicLab.DataImporter.Data.CommandBase.CommandViewBase {
    public SearchCommandView() :base() {
      InitializeComponent();
      txtSearchValue.Text = "0";
    }

    public SearchCommandView(SearchCommandBase command) {
      this.Command = command;
    }

    public new SearchCommandBase Command {
      get { return (SearchCommandBase)base.Command; }
      set { base.Command = value; this.UpdateCommand(); }
    }

    public string SearchValue {
      get { return this.Command.SearchValue; }
    }

    private void txtSearchValue_TextChanged(object sender, System.EventArgs e) {
      this.UpdateCommand();
    }

    private void UpdateCommand() {
      if (this.Command != null) 
        this.Command.SearchValue = this.txtSearchValue.Text;
    }
  }
}
