﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace HeuristicLab.DataImporter.Command.View {
  public partial class SearchWithMatchOperationCommandView : SearchCommandView {
    public SearchWithMatchOperationCommandView()
      : base() {
      InitializeComponent();
      cmbMatchOperation.Items.AddRange(Enum.GetNames(typeof(HeuristicLab.DataImporter.Command.MatchOperation)));
      cmbMatchOperation.SelectedIndex = 0;
    }

    public SearchWithMatchOperationCommandView(SearchWithMatchOperationCommandBase command) :this(){
      this.Command = command;
    }

    public new SearchWithMatchOperationCommandBase Command {
      get { return (SearchWithMatchOperationCommandBase)base.Command; }
      set { base.Command = value; this.UpdateCommand(); }
    }

    public MatchOperation MatchOperation {
      get { return this.Command.MatchOperation; }
    }

    private void cmbMatchOperation_SelectedIndexChanged(object sender, System.EventArgs e) {
      this.UpdateCommand();
    }

    private void UpdateCommand() {
      if (Command != null)
        this.Command.MatchOperation = (MatchOperation)Enum.Parse(typeof(MatchOperation), cmbMatchOperation.SelectedItem.ToString());
    }
  }
}
